<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# EDIT-ADAT                                                        #
# Új vagy meglévő adataok szerkesztése                             #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.28.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/
// Csak ha sikeresen belépett admin használja!!!
  if (!$_SESSION['user']) {
      exit();
  }  
    $tablanev = $_REQUEST['mode'];
    $mezoid = $_REQUEST['mezoid'];
    $mezonev = $_REQUEST['mezonev'];
  
// Feldolgozó FRAME
// az oldal újratöltése nélkül itt futnak le az SQL módosítások    
  echo "        <iframe name=\"feldolgozo_oldal\" frameborder=\"0\" id=\"feldolgozo\"></iframe>\n";
  
// Ha nem új értéket hozunk létre, akkor csak azta mezőnevet kérjük le, amit módosítani szeretnénk
    $where = ($id!=0) ? "WHERE ".$mezoid."=".$id : "";
    $lekerdezes = lekerdezes("SELECT * FROM ".$tablanev." ".$where);
    $rekord = olvas_asszociativ($lekerdezes);
    $ertek = ($id!=0) ? $rekord[$mezonev] : "";
    // Kinyerjük az adatbázisból a mező max.hosszát
    $maxlength = mysql_field_len($lekerdezes,1);   
    echo "        <div class=\"alcim\">".ucfirst($szoveg['mezo_'.$tablanev])."</div>\n";
    echo "        <table class=\"adatok\"><tr>\n";
    echo "          <form name=\"adatszerkeszto\" method=\"get\" action=\"modules/feldolgozo.php\" target=\"feldolgozo_oldal\">\n";
    echo "          <input type=\"hidden\" name=\"do\" value=\"check\">\n";
    echo "          <input type=\"hidden\" name=\"id\" value=\"".$id."\">\n";
    echo "          <input type=\"hidden\" name=\"table\" value=\"".$tablanev."\">\n";
    echo "          <input type=\"hidden\" name=\"mezoid\" value=\"".$mezoid."\">\n";
    echo "          <input type=\"hidden\" name=\"mezonev\" value=\"".$mezonev."\">\n";
    echo "          <input type=\"hidden\" name=\"eredeti\" value=\"".$ertek."\">\n";
    echo "          <td><span class=\"szoveg\">".ucfirst($szoveg['mezo_'.$mezonev])."</span>\n";
    echo "          <td>\n";
    echo "            <input name=\"ertek\" type=\"text\" size=\"20\" maxlength=\"".$maxlength."\" value=\"".$ertek."\">\n";
    echo "            <input type=\"button\" value=\"Ok\" onClick=\"adatfeldolgoz(this.form)\" class=\"keresesgomb\">\n";
    echo "          </td>\n";
    echo "          </form>\n";
    echo "        </tr></table>\n";
?>          
<script language="Javascript">
function adatfeldolgoz(urlap) {
  // Ha nem változott az érték visszamegyünk az előző oldalra
  if (urlap.ertek.value == urlap.eredeti.value)
    window.history.back();
  else
    // Ha üres az értéke, akor nem engedjük tovább
    if (urlap.ertek.value.length == 0) {
      window.alert("A mező nem maradhat üresen!");
      urlap.ertek.focus(); 
    }
    else {
      document.getElementById('feldolgozo').style.visibility = 'visible';
      setTimeout(urlap.submit(),500);
    }
}
</script>
